#!/bin/sh
set -x

#Override target
if [ -d /custom-installation ]; then 
    cp -af /custom-installation/target-override/* /target/ || true
    rm -rf /custom-installation/target-override* || true
fi

#Execute post installation steps here
#Install external packages
if [ -d /custom-installation/packages ]; then 
    cp -af /custom-installation/packages /target/tmp/custom-packages || true
    mount -o bind /proc /target/proc || true
    mount -o bind /dev /target/dev || true 
    for package in $(ls /custom-installation/packages); do
        package=$(basename $package)
        chroot /target /usr/bin/dpkg -i /tmp/custom-packages/$package || true
    done
    umount /target/proc || true
    umount /target/dev || true 
fi

