#!/bin/sh

PREREQ=""
DESCRIPTION="Running custom script..."

prereqs()
{
       echo "$PREREQ"
}

case $1 in
# get pre-requisites
prereqs)
       prereqs
       exit 0
       ;;
esac

. /scripts/casper-functions

log_begin_msg "$DESCRIPTION"

gconf_version=$(chroot /root /usr/bin/dpkg-query -W --showformat='${Version}' gconf2 2>/dev/null) || gconf_version=""

gct() {
    if [ "$gconf_version" ]; then
        chroot /root sudo -u "$USERNAME" gconftool-2 "$@"
    fi
}

create_desktopfile() {
    AUTOSTART_DIR=/root/home/$USERNAME/.config/autostart
    DESKTOP_FILE=smoketest.desktop
    mkdir -p $AUTOSTART_DIR
    cat > ${AUTOSTART_DIR}/${DESKTOP_FILE}<<EOF

[Desktop Entry]
Name=ISO SmokeTest
Comment=ISO SmokeTest
Exec=/usr/local/bin/run_test.wrapper --syslog --sleep 30 --test-dir=/home/${USERNAME}/tests {{ test_case_url }}
OnlyShowIn=GNOME;
NoDisplay=true
Type=Application
AutostartCondition=GNOME /desktop/gnome/interface/accessibility
X-GNOME-Autostart-Phase=Applications
X-GNOME-AutoRestart=true
Name[en_US]=ISO SmokeTest
Comment[en_US]=ISO SmokeTest
X-GNOME-Autostart-enabled=true
EOF
}

override_target() {
    # Override livefs environment with what has been loaded
    # on the live cd
    if [ -d /custom-installation ]; then 
        cp -af /custom-installation/target-override/* /root/ || true
        rm -rf /custom-installation/target-override* || true
    fi
}
#gct -s -t bool /desktop/gnome/interface/accessibility true
#create_desktopfile

# Copy the test script which is run from the desktop file
cp /run_test.wrapper /root/usr/local/bin/
cp /run_test /root/usr/local/bin/
cp /test.id /root/

override_target

sed -i 's/^%admin.*/%admin ALL=(ALL) NOPASSWD: ALL/' /root/etc/sudoers

log_end_msg
