#!/usr/bin/python

import optparse
import logging
import os
import re

JUNIT_HEADER='<testsuite errors="0" failures="%s" name="autotest" tests="%s" time="0">'
JUNIT_FOOTER='</testsuite>'
JUNIT_TEST_ENTRY='<testcase classname="%s" name="%s" time="0"/>'
JUNIT_TEST_FAILED_ENTRY='<testcase classname="%s" name="%s" time="0">'
JUNIT_TEST_FAILED_ENTRY_FOOTER='</testcase>'
JUNIT_FAILURE_START='<failure><![CDATA['
JUNIT_FAILURE_END=']]></failure>'
PASS_RE='(.*)    (\d)  TPASS  :  (.*)'
FAIL_RE='(.*)    (\d)  TFAIL  :  (.*)'

usage="usage: %prog [options] preseed1"
parser = optparse.OptionParser(usage=usage)
parser.add_option("-d", "--debug", dest="debug", action="store_true",  default=False,
                  help="enable debugging")
(options, args) = parser.parse_args()
if options.debug:
    logging.basicConfig(level=logging.DEBUG)
else:
    logging.basicConfig(level=logging.INFO)

f = open(args[0])

parent = False
in_test_case = False
start_timestamp = None
test_name = ""
test_status = ""
test_count = 0
test_failures_count = 0
error = ""

tests = []

contents = f.read()

#print contents

passes = re.findall(PASS_RE,contents)
fails = re.findall(FAIL_RE,contents)

print JUNIT_HEADER % (len(fails),len(fails)+len(passes))

for x in passes:
	name = x[0].strip()
	iteration = x[1]
	print JUNIT_TEST_ENTRY % (name,name+iteration)

for x in fails:
	name = x[0].strip()
	iteration = x[1]
	print JUNIT_TEST_FAILED_ENTRY % (name,name+iteration)
	print JUNIT_FAILURE_START
	print x[2]
	print JUNIT_FAILURE_END
	print JUNIT_TEST_FAILED_ENTRY_FOOTER

print JUNIT_FOOTER
	


		
