#!/bin/sh
#
# This job wait for wubi test to finish
# It is triggered remotely by a remote build call from the wubi host
# 
# An xml file in RESULTPATH is the condition to end the job
# Otherwise it ends at when TIMEOUT is reached.
#
echo "Test Start"
env

START=$(date +%s)
TIMEOUT=3600
SLEEPTIME=5

BASERESULTDIR=/tmp/${FLAVOR}_${RELEASE}_${ARCH}_${PRESEED}
TESTRESULTDIR=test-results
RESULTPATH=$WORKSPACE/$BUILD_NUMBER

if [ -d "$BASERESULTDIR/$TESTRESULTDIR" ]; then
    rm -Rf $BASERESULTDIR/$TESTRESULTDIR
fi

mkdir -p $RESULTPATH
mkdir -p $BASERESULTDIR/$TESTRESULTDIR

chmod og+w $BASERESULTDIR
chmod og+w $BASERESULTDIR/$TESTRESULTDIR

while true; do
    NOW=$(date +%s)

    echo "Syncing results"
    rsync -r $BASERESULTDIR/$TESTRESULTDIR $RESULTPATH

    if ls $RESULTPATH/$TESTRESULTDIR/ | grep -q 'xml$'; then
        echo "Results found"
        break
    fi
    if [ $(( $NOW - $START )) -gt $TIMEOUT ]; then
        echo "Time out!"
        break
    fi
    sleep $SLEEPTIME
done

echo "Test End"
